unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, RpDefine, RpRave;

type
  TForm1 = class(TForm)
    LabeledEdit1: TLabeledEdit;
    LabeledEdit2: TLabeledEdit;
    LabeledEdit3: TLabeledEdit;
    DateTimePicker1: TDateTimePicker;
    Label1: TLabel;
    Button1: TButton;
    RvProject1: TRvProject;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    function data_slownie(dat: TDate):string;{ Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
//zapis słowny daty
function TForm1.data_slownie(dat: TDate):string;
const tab: array[1..12] of string=(' stycznia ',' lutego ',' marca ',' kwietnia ',
           ' maja ',' czerwca ',' lipca ',' sierpnia ',
           ' września ',' października ',' listopada ',' grudnia ');
var d,m,r: word;
begin
  DecodeDate(dat,r,m,d);
  data_slownie:=IntToStr(d)+tab[m]+Inttostr(r);
end;

procedure TForm1.Button1Click(Sender: TObject);
var NazwIm, M_ur, Data_ur, Nr_alb: string;
begin
   //wprowadzanie danych
   NazwIm:=LabeledEdit1.Text;
   M_ur:=LabeledEdit2.Text;
   Nr_alb:=LabeledEdit3.Text;
   data_ur:=data_slownie(DateTimePicker1.Date);

   RvProject1.SetParam('Nazwisko_i_imie',NazwIm);
   RvProject1.SetParam('Miejsce_ur',M_ur);
   RvProject1.SetParam('Nr_albumu',Nr_alb);
   Rvproject1.SetParam('Data_ur',data_ur);

   RvProject1.Execute;
end;

end.
